    MODULE checkTrueMod

      USE, INTRINSIC :: ieee_arithmetic
      USE, INTRINSIC :: ieee_features
      USE, INTRINSIC :: ieee_exceptions
      USE set_precision

    CONTAINS

      SUBROUTINE runDpTests()
      USE set_precision, ONLY: wp=>dkind
      USE checkTests, ONLY: nTests
      IMPLICIT NONE
      INCLUDE 'sdTestMod.inc'
      INCLUDE 'indivTrueTest.inc'
      END SUBROUTINE runDpTests

      SUBROUTINE runSpTests()
      USE set_precision, ONLY: wp=>skind
      USE checkTests, ONLY: nTests
      IMPLICIT NONE
      INCLUDE 'sdTestMod.inc'
      INCLUDE 'indivTrueTest.inc'
      END SUBROUTINE runSpTests

    END MODULE checkTrueMod
